> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/resize-windows365.md).

# Windows365 のサイズを変更

### 説明

現在の割り当てを削除し、別のライセンス グループを使用して新しいサイズをプロビジョニングすることで、Windows 365 Cloud PC のサイズを変更します。警告: この操作では Cloud PC のプロビジョニング解除と再プロビジョニングが行われ、ローカル データが失われる可能性があります。

### 場所

ユーザー → 全般 → Windows365 のサイズ変更

**Runbook の完全名**

rjgit-user\_general\_resize-windows365

### アクセス許可

#### アプリケーションのアクセス許可

* **種類**： Microsoft Graph
  * GroupMember.ReadWrite.All
  * Group.ReadWrite.All
  * Directory.Read.All
  * CloudPC.ReadWrite.All
  * User.Read.All
  * Mail.Send

### パラメーター

#### ユーザー名

対象ユーザーのユーザー プリンシパル名。

| プロパティ | 値    |
| ----- | ---- |
| 必須    | true |
| 既定値   |      |
| 種類    | 文字列  |

#### currentLicWin365GroupName

Cloud PC で使用されている現在の Windows 365 ライセンス グループ名。

| プロパティ | 値                                                 |
| ----- | ------------------------------------------------- |
| 必須    | true                                              |
| 既定値   | lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB |
| 種類    | 文字列                                               |

#### newLicWin365GroupName

サイズ変更後の Cloud PC に割り当てる新しい Windows 365 ライセンス グループ名。

| プロパティ | 値                                                 |
| ----- | ------------------------------------------------- |
| 必須    | true                                              |
| 既定値   | lic - Windows 365 Enterprise - 2 vCPU 4 GB 256 GB |
| 種類    | 文字列                                               |

#### sendMailWhenDoneResizing

"メールを送信しない。"（最終値: $false）または "メールを送信する。"（最終値: $true）を、実行するアクションとして選択できます。true に設定すると、Cloud PC のサイズ変更が完了したときにユーザーへメール通知が送信されます。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | False |
| 種類    | ブール値  |

#### fromMailAddress

通知メールの送信に使用されるメールボックス。

| プロパティ | 値                     |
| ----- | --------------------- |
| 必須    | false                 |
| 既定値   | <reports@contoso.com> |
| 種類    | 文字列                   |

#### customizeMail

true に設定すると、カスタムのメール本文を使用します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | False |
| 種類    | ブール値  |

#### customMailMessage

通知メールで使用されるカスタムメッセージ本文。

| プロパティ | 値                                |
| ----- | -------------------------------- |
| 必須    | false                            |
| 既定値   | ここにカスタムメッセージを挿入してください。（3000文字まで） |
| 種類    | 文字列                              |

#### cfgProvisioningGroupPrefix

プロビジョニング関連の構成グループを検出するために使用するプレフィックス。

| プロパティ | 値                              |
| ----- | ------------------------------ |
| 必須    | false                          |
| 既定値   | cfg - Windows 365 - プロビジョニング - |
| 種類    | 文字列                            |

#### cfgUserSettingsGroupPrefix

ユーザー設定関連の構成グループを検出するために使用するプレフィックス。

| プロパティ | 値                            |
| ----- | ---------------------------- |
| 必須    | false                        |
| 既定値   | cfg - Windows 365 - ユーザー設定 - |
| 種類    | 文字列                          |

#### unassignRunbook

現在の Windows 365 の割り当てを解除するために使用される Runbook の名前。

| プロパティ | 値                                        |
| ----- | ---------------------------------------- |
| 必須    | false                                    |
| 既定値   | rjgit-user\_general\_unassign-windows365 |
| 種類    | 文字列                                      |

#### assignRunbook

新しい Windows 365 構成を割り当てるために使用される Runbook の名前。

| プロパティ | 値                                      |
| ----- | -------------------------------------- |
| 必須    | false                                  |
| 既定値   | rjgit-user\_general\_assign-windows365 |
| 種類    | 文字列                                    |

#### skipGracePeriod

true に設定すると、古い Cloud PC の猶予期間を直ちに終了します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | True  |
| 種類    | ブール値  |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/resize-windows365.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
